"
 COPYRIGHT (c) 2004 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

"{ Package: 'stx:libbasic' }"

"{ NameSpace: CharacterEncoderImplementations }"

SingleByteEncoder subclass:#MAC_Dingbats
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Text-Encodings'
!

!MAC_Dingbats class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2004 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!MAC_Dingbats class methodsFor:'mapping'!

mapFileURL1_relativePathName
    ^ 'VENDORS/APPLE/DINGBATS.TXT'
!

mapping
"
# From: http://www.unicode.org/Public/MAPPINGS/VENDORS/APPLE/DINGBATS.TXT

#=======================================================================
#   File name:  DINGBATS.TXT
#
#   Contents:   Map (external version) from Mac OS Dingbats
#               character set to Unicode 3.2
#
#   Copyright:  (c) 1994-2002 by Apple Computer, Inc., all rights
#               reserved.
#
#   Contact:    charsets@apple.com
#
#   Changes:
#
#      b3,c1 2002-Dec-19    Update mappings for 0x80-0x8D to use new
#                                                       Unicode 3.2 characters. Update URLs, notes.
#                           Matches internal utom<b2>.
#       b02  1999-Sep-22    Update contact e-mail address. Matches
#                           internal utom<b1>, ufrm<b1>, and Text
#                           Encoding Converter version 1.5.
#       n05  1998-Feb-05    Update to match internal utom<n4>, ufrm<n14>,
#                           and Text Encoding Converter version 1.3:
#                           Change all mappings to single corporate-zone
#                           Unicodes to either use standard Unicodes
#                           or standard Unicodes plus transcoding hints;
#                           see details below. Also update header
#                           comments to new format.
#       n03  1995-Apr-15    First version (after fixing some typos).
#                           Matches internal ufrm<n4>.
#
# Standard header:
# ----------------
#
#   Apple, the Apple logo, and Macintosh are trademarks of Apple
#   Computer, Inc., registered in the United States and other countries.
#   Unicode is a trademark of Unicode Inc. For the sake of brevity,
#   throughout this document, 'Macintosh' can be used to refer to
#   Macintosh computers and 'Unicode' can be used to refer to the
#   Unicode standard.
#
#   Apple makes no warranty or representation, either express or
#   implied, with respect to these tables, their quality, accuracy, or
#   fitness for a particular purpose. In no event will Apple be liable
#   for direct, indirect, special, incidental, or consequential damages 
#   resulting from any defect or inaccuracy in this document or the
#   accompanying tables.
#
#   These mapping tables and character lists are subject to change.
#   The latest tables should be available from the following:
#
#   <http://www.unicode.org/Public/MAPPINGS/VENDORS/APPLE/>
#
#   For general information about Mac OS encodings and these mapping
#   tables, see the file 'README.TXT'.
#
# Format:
# -------
#
#   Three tab-separated columns;
#   '#' begins a comment which continues to the end of the line.
#     Column #1 is the Mac OS Dingbats code (in hex as 0xNN)
#     Column #2 is the corresponding Unicode or Unicode sequence
#       (in hex as 0xNNNN or 0xNNNN+0xNNNN).
#     Column #3 is a comment containing the Unicode name.
#       In some cases an additional comment follows the Unicode name.
#
#   The entries are in Mac OS Dingbats code order.
#
#   Some of these mappings require the use of corporate characters.
#   See the file 'CORPCHAR.TXT' and notes below.
#
#   Control character mappings are not shown in this table, following
#   the conventions of the standard UTC mapping tables. However, the
#   Mac OS Dingbats character set uses the standard control characters
#   at 0x00-0x1F and 0x7F.
#
# Notes on Mac OS Dingbats:
# -------------------------
#
#   The Mac OS Dingbats encoding shares the script code smRoman
#   (0) with the standard Mac OS Roman encoding. To determine if
#   the Dingbats encoding is being used, you must check if the
#   font name is 'Zapf Dingbats'.
#
#   The layout of the Dingbats character set is identical to or
#   a superset of the layout of the Adobe Zapf Dingbats encoding
#   vector.
#
#   The following code points are unused, and are not shown here:
#   0x8E-0xA0, 0xF0, 0xFF.
#
# Unicode mapping issues and notes:
# ---------------------------------
#
# Details of mapping changes in each version:
# -------------------------------------------
#
#   Changes from version b02 to version b03/c01:
#
#   - The mappings for the following Mac OS Dingbats characters
#   were changed to use standard Unicode characters added for
#   Unicode 3.2: 0x80-0x8D.
#
#   Changes from version n03 to version n05:
#
#   - The mappings for the following Mac OS Dingbats characters
#   were changed from single corporate-zone Unicode characters
#   to standard Unicode characters:
#   0x80-0x81, 0x84-0x87, 0x8A-0x8D.
#
#   - The mappings for the following Mac OS Dingbats characters
#   were changed from single corporate-zone Unicode characters
#   to combinations of a standard Unicode and a transcoding hint:
#   0x82-0x83, 0x88-0x89.
#
##################

0x20    0x0020  # SPACE
0x21    0x2701  # UPPER BLADE SCISSORS
0x22    0x2702  # BLACK SCISSORS
0x23    0x2703  # LOWER BLADE SCISSORS
0x24    0x2704  # WHITE SCISSORS
0x25    0x260E  # BLACK TELEPHONE
0x26    0x2706  # TELEPHONE LOCATION SIGN
0x27    0x2707  # TAPE DRIVE
0x28    0x2708  # AIRPLANE
0x29    0x2709  # ENVELOPE
0x2A    0x261B  # BLACK RIGHT POINTING INDEX
0x2B    0x261E  # WHITE RIGHT POINTING INDEX
0x2C    0x270C  # VICTORY HAND
0x2D    0x270D  # WRITING HAND
0x2E    0x270E  # LOWER RIGHT PENCIL
0x2F    0x270F  # PENCIL
0x30    0x2710  # UPPER RIGHT PENCIL
0x31    0x2711  # WHITE NIB
0x32    0x2712  # BLACK NIB
0x33    0x2713  # CHECK MARK
0x34    0x2714  # HEAVY CHECK MARK
0x35    0x2715  # MULTIPLICATION X
0x36    0x2716  # HEAVY MULTIPLICATION X
0x37    0x2717  # BALLOT X
0x38    0x2718  # HEAVY BALLOT X
0x39    0x2719  # OUTLINED GREEK CROSS
0x3A    0x271A  # HEAVY GREEK CROSS
0x3B    0x271B  # OPEN CENTRE CROSS
0x3C    0x271C  # HEAVY OPEN CENTRE CROSS
0x3D    0x271D  # LATIN CROSS
0x3E    0x271E  # SHADOWED WHITE LATIN CROSS
0x3F    0x271F  # OUTLINED LATIN CROSS
0x40    0x2720  # MALTESE CROSS
0x41    0x2721  # STAR OF DAVID
0x42    0x2722  # FOUR TEARDROP-SPOKED ASTERISK
0x43    0x2723  # FOUR BALLOON-SPOKED ASTERISK
0x44    0x2724  # HEAVY FOUR BALLOON-SPOKED ASTERISK
0x45    0x2725  # FOUR CLUB-SPOKED ASTERISK
0x46    0x2726  # BLACK FOUR POINTED STAR
0x47    0x2727  # WHITE FOUR POINTED STAR
0x48    0x2605  # BLACK STAR
0x49    0x2729  # STRESS OUTLINED WHITE STAR
0x4A    0x272A  # CIRCLED WHITE STAR
0x4B    0x272B  # OPEN CENTRE BLACK STAR
0x4C    0x272C  # BLACK CENTRE WHITE STAR
0x4D    0x272D  # OUTLINED BLACK STAR
0x4E    0x272E  # HEAVY OUTLINED BLACK STAR
0x4F    0x272F  # PINWHEEL STAR
0x50    0x2730  # SHADOWED WHITE STAR
0x51    0x2731  # HEAVY ASTERISK
0x52    0x2732  # OPEN CENTRE ASTERISK
0x53    0x2733  # EIGHT SPOKED ASTERISK
0x54    0x2734  # EIGHT POINTED BLACK STAR
0x55    0x2735  # EIGHT POINTED PINWHEEL STAR
0x56    0x2736  # SIX POINTED BLACK STAR
0x57    0x2737  # EIGHT POINTED RECTILINEAR BLACK STAR
0x58    0x2738  # HEAVY EIGHT POINTED RECTILINEAR BLACK STAR
0x59    0x2739  # TWELVE POINTED BLACK STAR
0x5A    0x273A  # SIXTEEN POINTED ASTERISK
0x5B    0x273B  # TEARDROP-SPOKED ASTERISK
0x5C    0x273C  # OPEN CENTRE TEARDROP-SPOKED ASTERISK
0x5D    0x273D  # HEAVY TEARDROP-SPOKED ASTERISK
0x5E    0x273E  # SIX PETALLED BLACK AND WHITE FLORETTE
0x5F    0x273F  # BLACK FLORETTE
0x60    0x2740  # WHITE FLORETTE
0x61    0x2741  # EIGHT PETALLED OUTLINED BLACK FLORETTE
0x62    0x2742  # CIRCLED OPEN CENTRE EIGHT POINTED STAR
0x63    0x2743  # HEAVY TEARDROP-SPOKED PINWHEEL ASTERISK
0x64    0x2744  # SNOWFLAKE
0x65    0x2745  # TIGHT TRIFOLIATE SNOWFLAKE
0x66    0x2746  # HEAVY CHEVRON SNOWFLAKE
0x67    0x2747  # SPARKLE
0x68    0x2748  # HEAVY SPARKLE
0x69    0x2749  # BALLOON-SPOKED ASTERISK
0x6A    0x274A  # EIGHT TEARDROP-SPOKED PROPELLER ASTERISK
0x6B    0x274B  # HEAVY EIGHT TEARDROP-SPOKED PROPELLER ASTERISK
0x6C    0x25CF  # BLACK CIRCLE
0x6D    0x274D  # SHADOWED WHITE CIRCLE
0x6E    0x25A0  # BLACK SQUARE
0x6F    0x274F  # LOWER RIGHT DROP-SHADOWED WHITE SQUARE
0x70    0x2750  # UPPER RIGHT DROP-SHADOWED WHITE SQUARE
0x71    0x2751  # LOWER RIGHT SHADOWED WHITE SQUARE
0x72    0x2752  # UPPER RIGHT SHADOWED WHITE SQUARE
0x73    0x25B2  # BLACK UP-POINTING TRIANGLE
0x74    0x25BC  # BLACK DOWN-POINTING TRIANGLE
0x75    0x25C6  # BLACK DIAMOND
0x76    0x2756  # BLACK DIAMOND MINUS WHITE X
0x77    0x25D7  # RIGHT HALF BLACK CIRCLE
0x78    0x2758  # LIGHT VERTICAL BAR
0x79    0x2759  # MEDIUM VERTICAL BAR
0x7A    0x275A  # HEAVY VERTICAL BAR
0x7B    0x275B  # HEAVY SINGLE TURNED COMMA QUOTATION MARK ORNAMENT
0x7C    0x275C  # HEAVY SINGLE COMMA QUOTATION MARK ORNAMENT
0x7D    0x275D  # HEAVY DOUBLE TURNED COMMA QUOTATION MARK ORNAMENT
0x7E    0x275E  # HEAVY DOUBLE COMMA QUOTATION MARK ORNAMENT
#
0x80    0x2768  # MEDIUM LEFT PARENTHESIS ORNAMENT # for Unicode 3.2 and later
0x81    0x2769  # MEDIUM RIGHT PARENTHESIS ORNAMENT # for Unicode 3.2 and later
0x82    0x276A  # MEDIUM FLATTENED LEFT PARENTHESIS ORNAMENT # for Unicode 3.2 and later
0x83    0x276B  # MEDIUM FLATTENED RIGHT PARENTHESIS ORNAMENT # for Unicode 3.2 and later
0x84    0x276C  # MEDIUM LEFT-POINTING ANGLE BRACKET ORNAMENT # for Unicode 3.2 and later
0x85    0x276D  # MEDIUM RIGHT-POINTING ANGLE BRACKET ORNAMENT # for Unicode 3.2 and later
0x86    0x276E  # HEAVY LEFT-POINTING ANGLE QUOTATION MARK ORNAMENT # for Unicode 3.2 and later
0x87    0x276F  # HEAVY RIGHT-POINTING ANGLE QUOTATION MARK ORNAMENT # for Unicode 3.2 and later
0x88    0x2770  # HEAVY LEFT-POINTING ANGLE BRACKET ORNAMENT # for Unicode 3.2 and later
0x89    0x2771  # HEAVY RIGHT-POINTING ANGLE BRACKET ORNAMENT # for Unicode 3.2 and later
0x8A    0x2772  # LIGHT LEFT TORTOISE SHELL BRACKET ORNAMENT # for Unicode 3.2 and later
0x8B    0x2773  # LIGHT RIGHT TORTOISE SHELL BRACKET ORNAMENT # for Unicode 3.2 and later
0x8C    0x2774  # MEDIUM LEFT CURLY BRACKET ORNAMENT # for Unicode 3.2 and later
0x8D    0x2775  # MEDIUM RIGHT CURLY BRACKET ORNAMENT # for Unicode 3.2 and later
#
0xA1    0x2761  # CURVED STEM PARAGRAPH SIGN ORNAMENT
0xA2    0x2762  # HEAVY EXCLAMATION MARK ORNAMENT
0xA3    0x2763  # HEAVY HEART EXCLAMATION MARK ORNAMENT
0xA4    0x2764  # HEAVY BLACK HEART
0xA5    0x2765  # ROTATED HEAVY BLACK HEART BULLET
0xA6    0x2766  # FLORAL HEART
0xA7    0x2767  # ROTATED FLORAL HEART BULLET
0xA8    0x2663  # BLACK CLUB SUIT
0xA9    0x2666  # BLACK DIAMOND SUIT
0xAA    0x2665  # BLACK HEART SUIT
0xAB    0x2660  # BLACK SPADE SUIT
0xAC    0x2460  # CIRCLED DIGIT ONE
0xAD    0x2461  # CIRCLED DIGIT TWO
0xAE    0x2462  # CIRCLED DIGIT THREE
0xAF    0x2463  # CIRCLED DIGIT FOUR
0xB0    0x2464  # CIRCLED DIGIT FIVE
0xB1    0x2465  # CIRCLED DIGIT SIX
0xB2    0x2466  # CIRCLED DIGIT SEVEN
0xB3    0x2467  # CIRCLED DIGIT EIGHT
0xB4    0x2468  # CIRCLED DIGIT NINE
0xB5    0x2469  # CIRCLED NUMBER TEN
0xB6    0x2776  # DINGBAT NEGATIVE CIRCLED DIGIT ONE
0xB7    0x2777  # DINGBAT NEGATIVE CIRCLED DIGIT TWO
0xB8    0x2778  # DINGBAT NEGATIVE CIRCLED DIGIT THREE
0xB9    0x2779  # DINGBAT NEGATIVE CIRCLED DIGIT FOUR
0xBA    0x277A  # DINGBAT NEGATIVE CIRCLED DIGIT FIVE
0xBB    0x277B  # DINGBAT NEGATIVE CIRCLED DIGIT SIX
0xBC    0x277C  # DINGBAT NEGATIVE CIRCLED DIGIT SEVEN
0xBD    0x277D  # DINGBAT NEGATIVE CIRCLED DIGIT EIGHT
0xBE    0x277E  # DINGBAT NEGATIVE CIRCLED DIGIT NINE
0xBF    0x277F  # DINGBAT NEGATIVE CIRCLED NUMBER TEN
0xC0    0x2780  # DINGBAT CIRCLED SANS-SERIF DIGIT ONE
0xC1    0x2781  # DINGBAT CIRCLED SANS-SERIF DIGIT TWO
0xC2    0x2782  # DINGBAT CIRCLED SANS-SERIF DIGIT THREE
0xC3    0x2783  # DINGBAT CIRCLED SANS-SERIF DIGIT FOUR
0xC4    0x2784  # DINGBAT CIRCLED SANS-SERIF DIGIT FIVE
0xC5    0x2785  # DINGBAT CIRCLED SANS-SERIF DIGIT SIX
0xC6    0x2786  # DINGBAT CIRCLED SANS-SERIF DIGIT SEVEN
0xC7    0x2787  # DINGBAT CIRCLED SANS-SERIF DIGIT EIGHT
0xC8    0x2788  # DINGBAT CIRCLED SANS-SERIF DIGIT NINE
0xC9    0x2789  # DINGBAT CIRCLED SANS-SERIF NUMBER TEN
0xCA    0x278A  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT ONE
0xCB    0x278B  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT TWO
0xCC    0x278C  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT THREE
0xCD    0x278D  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT FOUR
0xCE    0x278E  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT FIVE
0xCF    0x278F  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT SIX
0xD0    0x2790  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT SEVEN
0xD1    0x2791  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT EIGHT
0xD2    0x2792  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT NINE
0xD3    0x2793  # DINGBAT NEGATIVE CIRCLED SANS-SERIF NUMBER TEN
0xD4    0x2794  # HEAVY WIDE-HEADED RIGHTWARDS ARROW
0xD5    0x2192  # RIGHTWARDS ARROW
0xD6    0x2194  # LEFT RIGHT ARROW
0xD7    0x2195  # UP DOWN ARROW
0xD8    0x2798  # HEAVY SOUTH EAST ARROW
0xD9    0x2799  # HEAVY RIGHTWARDS ARROW
0xDA    0x279A  # HEAVY NORTH EAST ARROW
0xDB    0x279B  # DRAFTING POINT RIGHTWARDS ARROW
0xDC    0x279C  # HEAVY ROUND-TIPPED RIGHTWARDS ARROW
0xDD    0x279D  # TRIANGLE-HEADED RIGHTWARDS ARROW
0xDE    0x279E  # HEAVY TRIANGLE-HEADED RIGHTWARDS ARROW
0xDF    0x279F  # DASHED TRIANGLE-HEADED RIGHTWARDS ARROW
0xE0    0x27A0  # HEAVY DASHED TRIANGLE-HEADED RIGHTWARDS ARROW
0xE1    0x27A1  # BLACK RIGHTWARDS ARROW
0xE2    0x27A2  # THREE-D TOP-LIGHTED RIGHTWARDS ARROWHEAD
0xE3    0x27A3  # THREE-D BOTTOM-LIGHTED RIGHTWARDS ARROWHEAD
0xE4    0x27A4  # BLACK RIGHTWARDS ARROWHEAD
0xE5    0x27A5  # HEAVY BLACK CURVED DOWNWARDS AND RIGHTWARDS ARROW
0xE6    0x27A6  # HEAVY BLACK CURVED UPWARDS AND RIGHTWARDS ARROW
0xE7    0x27A7  # SQUAT BLACK RIGHTWARDS ARROW
0xE8    0x27A8  # HEAVY CONCAVE-POINTED BLACK RIGHTWARDS ARROW
0xE9    0x27A9  # RIGHT-SHADED WHITE RIGHTWARDS ARROW
0xEA    0x27AA  # LEFT-SHADED WHITE RIGHTWARDS ARROW
0xEB    0x27AB  # BACK-TILTED SHADOWED WHITE RIGHTWARDS ARROW
0xEC    0x27AC  # FRONT-TILTED SHADOWED WHITE RIGHTWARDS ARROW
0xED    0x27AD  # HEAVY LOWER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW
0xEE    0x27AE  # HEAVY UPPER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW
0xEF    0x27AF  # NOTCHED LOWER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW
#
0xF1    0x27B1  # NOTCHED UPPER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW
0xF2    0x27B2  # CIRCLED HEAVY WHITE RIGHTWARDS ARROW
0xF3    0x27B3  # WHITE-FEATHERED RIGHTWARDS ARROW
0xF4    0x27B4  # BLACK-FEATHERED SOUTH EAST ARROW
0xF5    0x27B5  # BLACK-FEATHERED RIGHTWARDS ARROW
0xF6    0x27B6  # BLACK-FEATHERED NORTH EAST ARROW
0xF7    0x27B7  # HEAVY BLACK-FEATHERED SOUTH EAST ARROW
0xF8    0x27B8  # HEAVY BLACK-FEATHERED RIGHTWARDS ARROW
0xF9    0x27B9  # HEAVY BLACK-FEATHERED NORTH EAST ARROW
0xFA    0x27BA  # TEARDROP-BARBED RIGHTWARDS ARROW
0xFB    0x27BB  # HEAVY TEARDROP-SHANKED RIGHTWARDS ARROW
0xFC    0x27BC  # WEDGE-TAILED RIGHTWARDS ARROW
0xFD    0x27BD  # HEAVY WEDGE-TAILED RIGHTWARDS ARROW
0xFE    0x27BE  # OPEN-OUTLINED RIGHTWARDS ARROW

"
! !

!MAC_Dingbats class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/CharacterEncoderImplementations__MAC_Dingbats.st,v 1.3 2004/03/09 22:01:02 cg Exp $'
! !



